Checkmark
================

This file is part of the mod_checkmark plugin for Moodle - <http://moodle.org/>

*Author:*    Daniel Binder, Philipp Hager, Katarzyna Potocka, Alexander Melem

*Copyright:* [Academic Moodle Cooperation](http://www.academic-moodle-cooperation.org)

*License:*   [GNU GPL v3 or later](http://www.gnu.org/copyleft/gpl.html)


Description
-----------

In the checkmark activity, students announce in advance which of the given examples or tasks they have prepared for a classroom unit and can present if necessary. Teachers can assess students in the activity based on their ticks as well as on the actual presentation and also record attendance/absence.


Usage
-------

A possible teaching scenario could look like this: In a weekly recurring exercise, each unit is accompanied by practical examples. Teachers publish the respective examples and achievable points in advance via the checkmark activity. Each week, students prepare the planned exercise examples and tick in the checkmark activity which of them they can solve and present on the blackboard. During the classroom session, individual students are selected on the basis of their ticks to present solutions to the exercise examples. At the end of the unit, teachers can assess all students in the checkmark activity and also award points for their presentation and record their presence/absence.


Installation
------------

* Copy the module code directly to the mod/checkmark directory.

* Log into Moodle as administrator.

* Open the administration area (http://your-moodle-site/admin) to start the installation
  automatically.

Furthermore there is an additional report available [Checkmark report](https://moodle.org/plugins/local_checkmarkreport), which provides teachers and students with an overview of the details of all checkmark activites in a course.


Privacy API
-------------

The plugin fully implements the Moodle Privacy API.


Documentation
-------------

You can find a documentation for the plugin on the [AMC website](https://academic-moodle-cooperation.org/mod_checkmark/)


Bug Reports / Support
---------------------

We try our best to deliver bug-free plugins, but we can not test the plugin for every platform,
database, PHP and Moodle version. If you find any bug please report it on
[GitHub](https://github.com/academic-moodle-cooperation/moodle-mod_checkmark/issues). Please
provide a detailed bug description, including the plugin and Moodle version and, if applicable, a
screenshot.

You may also file a request for enhancement on GitHub. If we consider the request generally useful
and if it can be implemented with reasonable effort we might implement it in a future version.

You may also post general questions on the plugin on GitHub, but note that we do not have the
resources to provide detailed support.


License
-------

This plugin is free software: you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

The plugin is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License with Moodle. If not, see
<http://www.gnu.org/licenses/>.


Good luck and have fun!
